if [ $# -ne 3 ]; then
	echo "Usage: nicinfo.sh (nicinfo|PRO_LAN_Adapters) pcibus pcidev"
	exit
fi
if [ ! -d /proc/net/$1 ]; then
	exit
fi
FIRST=1

for i in $(grep -l -E PCI_Bus\ +$2 /proc/net/$1/*.info); do
	if grep -E PCI_Slot\\\ +$3 $i > /dev/null; then
		if [ $FIRST -eq 1 ]; then 
			FIRST=0
		else
			echo -n ,
		fi
		echo -n `basename $i|cut -d. -f 1`
	fi
done
