#!/bin/bash
if [ ! -d /proc/scsi ]; then
	exit 0
fi
shopt -s extglob
(while read line; do
	if [[ $line == Host* ]]; then
		HOST=${line##Host: scsi}
		echo -n "<scsidev host='${HOST%% Channel*}'"
		CHANNEL=${line##*Channel:*( |	)}
		echo -n " channel='${CHANNEL%%*( |	)Id*}'"
		ID=${line##*Id:*( |	)}
		echo -n " id='${ID%%*( |	)Lun*}'"
		echo -n " lun='${line##*Lun:*( |	)}'"
	elif [[ $line == Vendor* ]]; then
		VENDOR=${line##*Vendor: }
		echo -n " vendor='${VENDOR%%*( |	)Model*}'" 
		MODEL=${line##*Model:*( |	)}
		echo -n " model='${MODEL%%*( |	)Rev*}'"
		echo -n " rev='${line##*Rev:*( |	)}'"
	elif [[ $line ==  Type* ]]; then
		TYPE=${line##Type:*( |	)}
		echo -n " type='${TYPE%%*( |	)ANSI*}'"
		ANSI=${line##*vision:*( |	)}
		echo " ansi_scsi_rev='${ANSI}'></scsidev>"
		
	fi
done) < /proc/scsi/scsi
