#!/bin/bash
OLDPWD=`pwd`
SERIAL=`/tmp/netfs/bin/getdata -serial | grep Serial | awk 'BEGIN { FS="|" }{print $2}'`
cd `dirname $0`
echo "<system name='$SERIAL' status='running' localtime='`date "+%a %B %e %Y %H:%M"`'>" 
/sbin/insmod `uname -r`/pcislots.o  
./getinfo 
./osinfo.sh 
./netinfo.sh 
./mountinfo.sh 
./serveraidinfo.sh 
./scsiinfo.sh
./ideinfo.sh
/sbin/rmmod pcislots
echo "</system>" 
cd $OLDPWD
